%global srcname aiohttp-cors
%global common_desc aiohttp_cors library implements Cross Origin Resource Sharing (CORS) support \
for aiohttp asyncio-powered asynchronous HTTP server.



Name:           python-%{srcname}
Version:        0.5.3
Release:        1%{?dist}
Summary:        CORS (Cross Origin Resource Sharing) support for aiohttp

License:        ASL 2.0
URL:            https://github.com/aio-libs/aiohttp-cors
Source0:        https://github.com/aio-libs/aiohttp-cors/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
%{common_desc}

# This module is Python 3 only
%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires: python3-aiohttp >= 1.1

# For tes suite
BuildRequires: python3-pytest-runner
BuildRequires: python3-aiohttp >= 1.1


%description -n python3-%{srcname}
%{common_desc}


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
# selenium and simple are not available in the repos
#%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst CHANGES.rst
%{python3_sitelib}/aiohttp_cors
%{python3_sitelib}/aiohttp_cors-*.egg-info/

%changelog
* Sat Apr 29 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.5.3-1
- Update to 0.5.3

* Fri Feb 10 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 0.5.0-1
- Initial spec.
